# $Revision: 1.24 $, $Date: 2009/10/07 08:06:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Pod
%define		pnam	Simple
Summary:	Pod::Simple - framework for parsing Pod
Summary(pl.UTF-8):	Pod::Simple - szkielet dla analizy Pod
Name:		perl-Pod-Simple
Version:	3.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Pod/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f1f37e00b58760aad44e4df652bcb679
URL:		http://search.cpan.org/dist/Pod-Simple/
%if %{with tests}
BuildRequires:	perl-Pod-Escapes >= 1.03
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(overload()'

%description
Pod::Simple is a Perl library for parsing text in the Pod ("plain old
documentation") markup language that is typically used for writing
documentation for Perl and for Perl modules. The Pod format is
explained in the perlpod.3pm man page; the most common formatter is
called "perldoc".

%description -l pl.UTF-8
Pod::Simple jest biblioteką Perla do analizy tekstu w języku
znaczników Pod ("plain old documentation"), w którym zazwyczaj pisana
jest dokumentacja Perla i modułów Perla. Format Pod jest objaśniony na
stronie podręcznika perlpod.3pm; najpopularniejszym programem do
formatowania tej dokumentacji jest "perldoc".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Pod/Simple.pm
%dir %{perl_vendorlib}/Pod/Simple
%{perl_vendorlib}/Pod/Simple/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Pod-Simple.spec,v $
Revision 1.24  2009/10/07 08:06:16  amateja
- updated to 3.08

Revision 1.23  2007/06/03 08:23:05  qboosh
- generic URL

Revision 1.22  2007/06/03 08:03:09  agaran
- up to 3.05, rel 1, builds here

Revision 1.21  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.19  2006/10/25 16:30:19  ankry
- ver. 3.04

Revision 1.18  2004/11/03 22:30:40  paladine
- formatting

Revision 1.17  2004/05/25 17:39:17  qboosh
- updated to 3.02

Revision 1.16  2004/05/24 18:49:08  adamg
- updated to 3.01

Revision 1.15  2004/05/09 15:03:54  adamg
- updated to 2.06

Revision 1.14  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.13  2004/05/06 18:20:55  ankry
- fixed perl-devel BR

Revision 1.12  2004/05/06 05:34:01  ankry
- cosmetics

Revision 1.11  2003/11/08 20:33:12  migo
- up to 2.05

Revision 1.10  2003/10/11 20:50:14  migo
- up to 2.04

Revision 1.9  2003/10/04 09:16:11  migo
- new bcond system

Revision 1.8  2003/09/18 13:20:42  adamg
- updated to 2.03

Revision 1.7  2003/08/27 15:00:23  qboosh
- up to 0.97

Revision 1.6  2003/05/28 13:00:58  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.3  2003/03/12 23:52:27  ankry
- add _noautoreq for bogus dependency

Revision 1.2  2003/03/10 21:37:05  ankry
- betted manpage reference

Revision 1.1  2003/03/10 21:31:40  ankry
- new
